summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/apache-module.eclass4
-rw-r--r--eclass/db-use.eclass4
-rw-r--r--eclass/depend.apache.eclass4
-rw-r--r--eclass/freebsd.eclass6
-rw-r--r--eclass/gnat.eclass4
-rw-r--r--eclass/kde.eclass4
-rw-r--r--eclass/kernel-2.eclass4
-rw-r--r--eclass/mozcoreconf.eclass10
-rw-r--r--eclass/python.eclass6
-rw-r--r--eclass/toolchain.eclass92
10 files changed, 69 insertions, 69 deletions
diff --git a/eclass/apache-module.eclass b/eclass/apache-module.eclass
index f038a848a07d..754904d111e9 100644
--- a/eclass/apache-module.eclass
+++ b/eclass/apache-module.eclass
@@ -1,14 +1,14 @@
# Copyright 2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Michael Tindal <urilith@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.14 2006/06/04 19:15:09 vericgar Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.15 2006/06/10 16:19:54 swegener Exp $
inherit depend.apache
# This eclass provides a common set of functions for Apache modules.
# NOTE: If you use this, be sure you use the need_* call after you have
-# defined DEPEND and RDEPEND. Also note that you can not rely on the
+# defined DEPEND and RDEPEND. Also note that you can not rely on the
# automatic RDEPEND=DEPEND that portage does if you use this eclass.
# See bug 107127 for more information.
diff --git a/eclass/db-use.eclass b/eclass/db-use.eclass
index 3fa2053bce10..ad9556596992 100644
--- a/eclass/db-use.eclass
+++ b/eclass/db-use.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/db-use.eclass,v 1.5 2006/05/20 13:17:54 pauldv Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/db-use.eclass,v 1.6 2006/06/10 16:19:54 swegener Exp $
# This is a common location for functions that aid the use of sys-libs/db
inherit versionator multilib
@@ -30,7 +30,7 @@ db_findver() {
done
return 1
fi
-
+
PKG="$(best_version $1)"
VER="$(get_version_component_range 1-2 "${PKG/*db-/}")"
if [ -d /usr/include/db$(db_ver_to_slot "$VER") ]; then
diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index eb5134585e0a..d688bd7dec18 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.25 2006/06/04 19:15:09 vericgar Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.26 2006/06/10 16:19:54 swegener Exp $
inherit multilib
@@ -8,7 +8,7 @@ inherit multilib
# information about where certain interfaces are located.
# NOTE: If you use this, be sure you use the need_* call after you have
-# defined DEPEND and RDEPEND. Also note that you can not rely on the
+# defined DEPEND and RDEPEND. Also note that you can not rely on the
# automatic RDEPEND=DEPEND that portage does if you use this eclass.
# See bug 107127 for more information.
diff --git a/eclass/freebsd.eclass b/eclass/freebsd.eclass
index e1f4af56e9c6..d1e8f7757cb5 100644
--- a/eclass/freebsd.eclass
+++ b/eclass/freebsd.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/freebsd.eclass,v 1.7 2006/05/09 16:50:17 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/freebsd.eclass,v 1.8 2006/06/10 16:19:54 swegener Exp $
#
# Diego Pettenò <flameeyes@gentoo.org>
@@ -84,7 +84,7 @@ freebsd_src_compile() {
5.*) mymakeopts="${mymakeopts} NOPROFILE= " ;;
6.*) mymakeopts="${mymakeopts} NO_PROFILE= " ;;
esac
-
+
mymakeopts="${mymakeopts} NO_MANCOMPRESS= NO_INFOCOMPRESS="
# Many things breaks when using ricer flags here
@@ -104,7 +104,7 @@ freebsd_src_install() {
esac
mymakeopts="${mymakeopts} NO_MANCOMPRESS= NO_INFOCOMPRESS="
-
+
[[ -z ${BMAKE} ]] && BMAKE="$(freebsd_get_bmake)"
bsdmk_src_install
diff --git a/eclass/gnat.eclass b/eclass/gnat.eclass
index 73c353838452..53b4605f8d0d 100644
--- a/eclass/gnat.eclass
+++ b/eclass/gnat.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.16 2006/06/02 14:33:47 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.17 2006/06/10 16:19:54 swegener Exp $
#
# This eclass provides the framework for ada lib installation with the split and
# SLOTted gnat compilers (gnat-xxx, gnatbuild.eclass). Each lib gets built once
@@ -41,7 +41,7 @@ AdalibLibTop=${PREFIX}/lib/ada
SL=${WORKDIR}/LocalSource
# DL is a "localized destination", where ARCH/SLOT dependent binaries should be
-# installed in lib_install
+# installed in lib_install
DL=${WORKDIR}/LocalDest
# location of cleaned-up eselect script, for sourcing
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index ed66b5b9fc86..7d2bea57a1be 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.163 2006/06/08 10:39:53 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.164 2006/06/10 16:19:54 swegener Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -95,7 +95,7 @@ kde_src_unpack() {
# kde-specific stuff stars here
[[ -z ${KDE_S} ]] && KDE_S="${S}"
-
+
# if extragear-like packaging is enabled, set the translations and the
# documentation depending on LINGUAS settings
if [[ -n ${USE_KEG_PACKAGING} ]]; then
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index fad2835eb644..a36c6d3e04af 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.178 2006/05/28 11:28:52 brix Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.179 2006/06/10 16:19:54 swegener Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -373,7 +373,7 @@ unpack_2_6() {
make -s include/linux/version.h ${xmakeopts} 2>/dev/null \
|| die "make include/linux/version.h failed"
- rm -f .config >/dev/null
+ rm -f .config >/dev/null
}
universal_unpack() {
diff --git a/eclass/mozcoreconf.eclass b/eclass/mozcoreconf.eclass
index 09ea670092d8..286128e3518e 100644
--- a/eclass/mozcoreconf.eclass
+++ b/eclass/mozcoreconf.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.8 2006/06/01 21:56:31 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.9 2006/06/10 16:19:54 swegener Exp $
#
# mozcoreconf.eclass : core options for mozilla
# inherit mozconfig-2 if you need USE flags
@@ -31,7 +31,7 @@ mozconfig_init() {
declare TB=$([[ ${PN} == *thunderbird ]] && echo true || echo false)
declare SB=$([[ ${PN} == *sunbird ]] && echo true || echo false)
declare EM=$([[ ${PN} == enigmail ]] && echo true || echo false)
- declare XUL=$([[ ${PN} == *xulrunner ]] && echo true || echo false)
+ declare XUL=$([[ ${PN} == *xulrunner ]] && echo true || echo false)
declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
####################################
@@ -54,9 +54,9 @@ mozconfig_init() {
enigmail)
cp mail/config/mozconfig .mozconfig \
|| die "cp mail/config/mozconfig failed" ;;
- *xulrunner)
- cp xulrunner/config/mozconfig .mozconfig \
- || die "cp xulrunner/config/mozconfig failed" ;;
+ *xulrunner)
+ cp xulrunner/config/mozconfig .mozconfig \
+ || die "cp xulrunner/config/mozconfig failed" ;;
*sunbird)
cp calendar/sunbird/config/mozconfig .mozconfig \
|| die "cp calendar/sunbird/config/mozconfig failed" ;;
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 30a1fd8deddc..d47fd2f111d4 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.23 2006/06/06 22:33:09 carlo Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.24 2006/06/10 16:19:54 swegener Exp $
#
# Author: Alastair Tse <liquidx@gentoo.org>
#
@@ -21,8 +21,8 @@ inherit alternatives
if [[ -n "${NEED_PYTHON}" ]] ; then
- DEPEND=">=dev-lang/python-${NEED_PYTHON}"
- RDEPEND="${DEPEND}"
+ DEPEND=">=dev-lang/python-${NEED_PYTHON}"
+ RDEPEND="${DEPEND}"
fi
__python_eclass_test() {
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 601e05ba9671..76d9f77157ae 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.286 2006/06/09 18:18:06 eradicator Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.287 2006/06/10 16:19:54 swegener Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -497,15 +497,15 @@ libc_has_ssp() {
# Check for gcc-4.x style ssp support
if [[ -n $(readelf -s "${my_libc}" 2>/dev/null | \
- grep 'FUNC.*GLOBAL.*__stack_chk_fail') ]]
+ grep 'FUNC.*GLOBAL.*__stack_chk_fail') ]]
then
return 0
else
# Check for gcc-3.x style ssp support
if [[ -n $(readelf -s "${my_libc}" 2>/dev/null | \
- grep 'OBJECT.*GLOBAL.*__guard') ]] && \
- [[ -n $(readelf -s "${my_libc}" 2>/dev/null | \
- grep 'FUNC.*GLOBAL.*__stack_smash_handler') ]]
+ grep 'OBJECT.*GLOBAL.*__guard') ]] && \
+ [[ -n $(readelf -s "${my_libc}" 2>/dev/null | \
+ grep 'FUNC.*GLOBAL.*__stack_smash_handler') ]]
then
return 0
elif is_crosscompile ; then
@@ -1289,7 +1289,7 @@ gcc_do_make() {
# resulting binaries natively ^^;
GCC_MAKE_TARGET=${GCC_MAKE_TARGET-all}
elif [[ $(tc-arch) == "x86" || $(tc-arch) == "amd64" || $(tc-arch) == "ppc64" ]] \
- && [[ ${GCCMAJOR}.${GCCMINOR} > 3.3 ]]
+ && [[ ${GCCMAJOR}.${GCCMINOR} > 3.3 ]]
then
GCC_MAKE_TARGET=${GCC_MAKE_TARGET-profiledbootstrap}
else
@@ -1393,7 +1393,7 @@ gcc_do_filter_flags() {
case $(tc-arch) in
x86) filter-flags '-mtune=*';;
amd64) filter-flags '-mtune=*'
- replace-cpu-flags k8 athlon64 opteron i686;;
+ replace-cpu-flags k8 athlon64 opteron i686;;
esac
;;
3.4|4.*)
@@ -2101,44 +2101,44 @@ do_eselect_compiler() {
return 0
fi
- for abi in $(get_all_abis) ; do
- local ctarget=$(get_abi_CHOST ${abi})
- local current_specs=$(env -i eselect compiler show ${ctarget} | cut -f2 -d/)
-
- if [[ -n ${current_specs} && ${current_specs} != "(none)" ]] && eselect compiler set ${CTARGET}-${GCC_CONFIG_VER}/${current_specs} &> /dev/null; then
- einfo "The following compiler profile has been activated based on your previous profile:"
- einfo "${CTARGET}-${GCC_CONFIG_VER}/${current_specs}"
- else
- # We couldn't choose based on the old specs, so fall back on vanilla/hardened based on USE
-
- local spec
- if use hardened ; then
- spec="hardened"
- else
- spec="vanilla"
- fi
-
- local profile
- local isset=0
- for profile in "${current_specs%-*}-${spec}" "${abi}-${spec}" "${spec}" ; do
- if eselect compiler set ${CTARGET}-${GCC_CONFIG_VER}/${profile} &> /dev/null ; then
- ewarn "The newly installed version of gcc does not have a profile that matches the name of your"
- ewarn "currently selected profile for ${ctarget}, so we have enabled the following instead:"
- ewarn "${CTARGET}-${GCC_CONFIG_VER}/${profile}"
- ewarn "If this is incorrect, please use 'eselect compiler set' to"
- ewarn "select another profile."
-
- isset=1
- break
- fi
- done
-
- if [[ ${isset} == 0 ]] ; then
- eerror "We were not able to automatically set the current compiler for ${ctarget}"
- eerror "to your newly emerged gcc. Please use 'eselect compiler set'"
- eerror "to select your compiler."
- fi
- fi
+ for abi in $(get_all_abis) ; do
+ local ctarget=$(get_abi_CHOST ${abi})
+ local current_specs=$(env -i eselect compiler show ${ctarget} | cut -f2 -d/)
+
+ if [[ -n ${current_specs} && ${current_specs} != "(none)" ]] && eselect compiler set ${CTARGET}-${GCC_CONFIG_VER}/${current_specs} &> /dev/null; then
+ einfo "The following compiler profile has been activated based on your previous profile:"
+ einfo "${CTARGET}-${GCC_CONFIG_VER}/${current_specs}"
+ else
+ # We couldn't choose based on the old specs, so fall back on vanilla/hardened based on USE
+
+ local spec
+ if use hardened ; then
+ spec="hardened"
+ else
+ spec="vanilla"
+ fi
+
+ local profile
+ local isset=0
+ for profile in "${current_specs%-*}-${spec}" "${abi}-${spec}" "${spec}" ; do
+ if eselect compiler set ${CTARGET}-${GCC_CONFIG_VER}/${profile} &> /dev/null ; then
+ ewarn "The newly installed version of gcc does not have a profile that matches the name of your"
+ ewarn "currently selected profile for ${ctarget}, so we have enabled the following instead:"
+ ewarn "${CTARGET}-${GCC_CONFIG_VER}/${profile}"
+ ewarn "If this is incorrect, please use 'eselect compiler set' to"
+ ewarn "select another profile."
+
+ isset=1
+ break
+ fi
+ done
+
+ if [[ ${isset} == 0 ]] ; then
+ eerror "We were not able to automatically set the current compiler for ${ctarget}"
+ eerror "to your newly emerged gcc. Please use 'eselect compiler set'"
+ eerror "to select your compiler."
+ fi
+ fi
done
}
@@ -2156,7 +2156,7 @@ gcc_version_patch() {
else
version_string="$1 ($2)"
sed -i -e "s~\(const char version_string\[\] = \"\).*\(\".*\)~\1$version_string\2~" \
- "${S}"/gcc/version.c || die "failed to update version.c with Gentoo branding."
+ "${S}"/gcc/version.c || die "failed to update version.c with Gentoo branding."
fi
sed -i -e 's~gcc\.gnu\.org\/bugs\.html~bugs\.gentoo\.org\/~'\
"${S}"/gcc/version.c || die "Failed to change the bug URL"